Bug 1412048 - [abrt] hplip-gui: QObject::disconnect(): python3.5 killed by SIGSEGV
Summary: [abrt] hplip-gui: QObject::disconnect(): python3.5 killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1364717
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72dedc8514b44eb122185cec647...
: 1470012 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 04:15 UTC by Jeremy Newton
Modified: 2017-07-17 07:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-17 07:28:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (67.78 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: core_backtrace (2.06 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: dso_list (21.66 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: environ (1.69 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: maps (100.99 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: mountinfo (3.86 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: open_fds (1.44 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-11 04:15 UTC, Jeremy Newton
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-52988 0 None None None 2017-07-17 07:28:13 UTC

Description Jeremy Newton 2017-01-11 04:15:01 UTC
Version-Release number of selected component:
hplip-gui-3.16.11-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/bin/python3 /usr/bin/hp-toolbox
crash_function: QObject::disconnect
executable:     /usr/bin/python3.5
global_pid:     5346
kernel:         4.7.10-20161128.amd.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2956
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1145
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:188
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:368

Comment 1 Jeremy Newton 2017-01-11 04:15:09 UTC
Created attachment 1239307 [details]
File: backtrace

Comment 2 Jeremy Newton 2017-01-11 04:15:10 UTC
Created attachment 1239308 [details]
File: cgroup

Comment 3 Jeremy Newton 2017-01-11 04:15:11 UTC
Created attachment 1239309 [details]
File: core_backtrace

Comment 4 Jeremy Newton 2017-01-11 04:15:13 UTC
Created attachment 1239310 [details]
File: dso_list

Comment 5 Jeremy Newton 2017-01-11 04:15:14 UTC
Created attachment 1239311 [details]
File: environ

Comment 6 Jeremy Newton 2017-01-11 04:15:16 UTC
Created attachment 1239312 [details]
File: exploitable

Comment 7 Jeremy Newton 2017-01-11 04:15:17 UTC
Created attachment 1239313 [details]
File: limits

Comment 8 Jeremy Newton 2017-01-11 04:15:20 UTC
Created attachment 1239314 [details]
File: maps

Comment 9 Jeremy Newton 2017-01-11 04:15:21 UTC
Created attachment 1239315 [details]
File: mountinfo

Comment 10 Jeremy Newton 2017-01-11 04:15:23 UTC
Created attachment 1239316 [details]
File: namespaces

Comment 11 Jeremy Newton 2017-01-11 04:15:24 UTC
Created attachment 1239317 [details]
File: open_fds

Comment 12 Jeremy Newton 2017-01-11 04:15:25 UTC
Created attachment 1239318 [details]
File: proc_pid_status

Comment 13 Jeremy Newton 2017-01-11 04:15:26 UTC
Created attachment 1239319 [details]
File: var_log_messages

Comment 14 Zdenek Dohnal 2017-01-11 17:35:27 UTC
Hi,

would you mind trying the newest build if it solves issue? https://koji.fedoraproject.org/koji/buildinfo?buildID=832830

Comment 15 Jeremy Newton 2017-01-11 18:11:27 UTC
I'm not sure what caused it, so I'll have to see if I can reproduce.

Comment 16 Jeremy Newton 2017-01-24 03:59:27 UTC
Sorry for the delay, I tested it and I still had this issue.

I reproduced it by closing the main window and continually clicking on the tray icon until the abrt message popped up.

Comment 17 Mike Simms 2017-05-24 22:47:04 UTC
I can also reproduce the same error with build hplip-3.17.4-1.fc25. it manifested on my system straight after setting up the printer, an officejet pro K5400dtn via LAN connection. DE is Workstation running in Wayland, fully updated and restarted prior to installing hplip-gui and setting up the printer.

hplip seems to restart itself and works afterwards so not a huge problem so far as I can tell.

Comment 18 Zdenek Dohnal 2017-07-17 07:23:16 UTC
*** Bug 1470012 has been marked as a duplicate of this bug. ***

Comment 19 Zdenek Dohnal 2017-07-17 07:28:13 UTC
I did a research and I found out it is not hplip issue, but Qt5. This is known bug https://bugreports.qt.io/browse/QTBUG-52988 which should be solved in Qt-5.9.0 alpha. Closing as duplicate of Qt5-base package.

*** This bug has been marked as a duplicate of bug 1364717 ***


Note You need to log in before you can comment on or make changes to this bug.